/** Shopify CDN: Minification failed

Line 187:3 Expected ":"

**/
@import url('https://fonts.googleapis.com/css2?family=Tajawal:wght@200;300;400;500;700;800;900&display=swap');



.promo-wrapper {
  margin-top: 15px;
}

.promo-input-group {
  display: flex;
  gap: 8px;
  margin-top: 8px;
}

.promo-input-group input {
  flex: 1;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.promo-input-group button {
  padding: 8px 12px;
  background: black;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

#promo-message {
  margin-top: 6px;
  font-size: 13px;
}



.floating-cart-btn {
  display:relative;
  position: fixed;
  top: 80px;
  right: 20px;
  width: 55px;
  height: 55px;
  border-radius: 50%;
  background: #e52c2a;
  color: white;
  font-size: 24px;
  border: none;
  cursor: pointer;
  z-index: 1000;
     display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease;
  box-shadow: 0 0px 6px rgba(255, 255, 255, 0.6); 
  animation: softShake 3s infinite;
}
.total-row-container {
  display: flex;
  flex-direction: row; /* ترتيب العناصر في سطر */
  justify-content: space-between; /* المجموع يمين والمبلغ يسار */
  width: 100%;
  direction: rtl; /* اتجاه الكتابة من اليمين لليسار */
  align-items: center;
    font-family: 'Tajawal', sans-serif  !important;

}

.total-row-container strong {
  margin-left: 10px; /* مسافة بسيطة بعد كلمة المجموع */
}
.total-row-container span {
  display: inline-block;
  direction: ltr !important; 
  unicode-bidi: isolate;
  font-weight:bold !important;
}
@keyframes softShake {
  0% { transform: translateX(0); }
  2% { transform: translateX(-4px); }
  4% { transform: translateX(4px); }
  6% { transform: translateX(-4px); }
  8% { transform: translateX(4px); }
  10% { transform: translateX(0); }
  100% { transform: translateX(0); }
}
.floating-cart-btn .cart-count {
     position: absolute;
    left: -3px;
    top: 0px;
    font-size: 13px;
    font-weight: 700;
    color: black;
    background: white;
    width: 20px;
    height: 20px;
    padding: 3px;
    border-radius: 50%;
 
}
.cart-icon {
  width: 25px;   /* العرض */
  height: 25px;  /* الطول */
   fill: white;
}
.cart-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw !important;
  height: 100vh;
  background: rgba(0,0,0,0.6);
  display: none;   /* بدل visibility */
  z-index: 99999;
}
.close-cart {
  width: 30px;
  height: 30px;
  border-radius: 50%; /* دائري */
  background-color: white !important; /* اللون */
  border: none;
  color: black;       /* إذا فيه رمز ✕ داخل الزر */
  font-size: 16px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
   transition: all 0.2s ease;
}
.close-cart:hover{
  background-color: rgb(255, 48, 48) !important;
  color: rgb(0, 0, 0);   
}
.cart-overlay.open {
  display: block;
}
/* DRAWER */
.cart-drawer {
  position: fixed !important;
  font-family: 'Tajawal', sans-serif  !important;
  top: 0 !important;
  right: -420px !important;
  width: 400px !important;
  height: 100vh !important;
  background: #ffffff !important;
  transition: right 0.3s ease;
  z-index: 99999 !important;
  display: flex;
  flex-direction: column;
  box-shadow: -10px 0 30px rgba(0,0,0,0.1);
}.cart-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  border-bottom: 1px solid #ddd;
}

.cart-item,
.cart-header,
.cart-footer,
.cart-content,
.product-name,
.product-price,
.qty-number,
.qty-btn,
.remove-btn,
.checkout-btn {
  font-family: 'Tajawal', sans-serif !important;
}

.cart-header .cart-header-text{
  font-family: 'Tajawal', sans-serif !important;
}
.emty-cart {
  width:100% !important;
  height:100% !important;
  display: flex;
  align-items: center;
  justify-content: center;
jus
}
.my-add-to-cart-btn {
  background-color:rgb(0, 174, 255)!important;
  color: #fff;
  border: none;
  padding: 8px 12px;
  border-radius: 6px;
  cursor: pointer;
  font-weight: bold;
  margin-top: 10px;
  width:100%;
}

.my-add-to-cart-btn:hover {
  background-color: #e65c00 !important;
}
.cart-left {
  display: flex;
  align-items: center;
  gap: 10px;
}

.product-img {
  width: 80px;
  height:80px;
  object-fit: cover;
  border-radius: 4px;
}

.product-details {
  display: flex;
  flex-direction: column;
}

.product-name {
  font-weight: bold;
}

.product-price {
  font-size: 14px;
  color: #555;
}

.mycart-item {
  position: relative; /* مهم لتثبيت الزر داخل العنصر */
  padding: 25px 15px 15px 15px;
  border-bottom: 1px solid #ddd;
  display: flex;
  flex-direction: raw; /* يجعل المحتوى تحت بعضه */
  gap: 10px;
  width:100%;
}
.mycart-item.loading::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(255, 255, 255, 0.6);
  backdrop-filter: blur(2px);
  z-index: 5;
}
.mycart-item.loading::after {
  content: "";
  position: absolute;
  width: 30px;
  height: 30px;
  border: 3px solid #ddd;
  border-top: 3px solid #000;
  border-radius: 50%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  animation: spin 0.8s linear infinite;
  z-index: 6;
}
.remove-btn {
  position: absolute;
  top: 0px;
  right: 5px;
  background: none;
  border: none;
  color: red;
  font-weight: bold;
  font-size: 16px;
  cursor: pointer;
}

.qty-controls {
  display: flex;
  align-items: center;
  gap: 6px;
  margin-top: 8px;
  font-weight:bold !important;
}

.cart-drawer.open {
  right: 0 !important;
}

/* HEADER */
.cart-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px !important;
  border-bottom: 1px solid #eee;
  font-weight: bold;
  height:60px !important
}

/* CONTENT */
.cart-content {
  flex: 1;
  overflow-y: auto;
  padding: 20px !important;
}

/* FOOTER */
.cart-footer {
  padding: 20px !important;
  border-top: 1px solid #eee;
}

/* BUTTON */
.checkout-btn {
  width: 100%;
  padding: 14px;
  margin-bottom:14px;
  margin-top:6px;
  background: rgb(51, 153, 255);
  color: white;
  border: none;
  cursor: pointer;
  border-radius:20px;
  transition: all 0.2s ease;
}
.checkout-btn:hover {
  background: rgb(7, 99, 192);
}
.checkout-btn:disabled {
  background: rgb(92, 116, 139);
  cursor:not-allowed;
}
/* الأنيميشن على الرقم أو العنصر */
.loading {
  position: relative;
  opacity: 0.6;
}

/* دوران صغير داخل العنصر */
.loading::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 16px;
  height: 16px;
  margin: -8px 0 0 -8px;
  border: 2px solid #ccc;
  border-top: 2px solid #000;
  border-radius: 50%;
  animation: spin 0.6s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* fade-out سلس عند الحذف */
.mycart-item.fade-out {
  animation: fade-left 0.4s forwards;
}

@keyframes fade-left {
  0% { opacity: 1; transform: translateX(0); height: auto; margin-bottom: 10px; padding: 10px; }
  100% { opacity: 0; transform: translateX(-100%); height: 0; margin-bottom: 0; padding: 0; }
}

.qty-btn {
  width: 28px;
  height: 28px;
  border: 1px solid #ddd;
  background: white;
  cursor: pointer;
  border-radius:100%
}

.qty-number {
  min-width: 20px;
  text-align: center;
}

@keyframes fadeInScale {
  0% { transform: scale(0.9); opacity: 0.8; }
  50% { transform: scale(1.05); }
  100% { transform: scale(1); opacity: 1; }
}

#apply-promo {
  transition: all 0.3s ease; /* انتقال ناعم لجميع الخصائص */
  font-family: 'Tajawal', sans-serif !important;
  border-radius: 40px  !important;
}

#apply-promo.removePromo {
  background-color:rgb(255, 117, 117) !important;
  border-color: #d33 !important;
  color: white !important;
  border-radius: 40px;
  animation: fadeInScale 0.4s ease-out; /* تشغيل الأنميشن عند إضافة الكلاس */
  box-shadow: 0 4px 10px rgba(255, 77, 77, 0.3);
}

#apply-promo.removePromo:hover {
  background-color: #e63939 !important; /* تغميق اللون قليلاً عند الهوفر */
}

#apply-promo.removePromo:active {
  transform: scale(0.95); /* تأثير الضغط */
}
#promo-code{
  border-radius:40px !important;
  font-size:12px !important;
  padding-right:10px !important;
   font-family: 'Tajawal', sans-serif !important;
 
}



#promo-code.promo-success {
    border-color: #28a745 !important;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%2328a745'%3E%3Cpath d='M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z'/%3E%3C/svg%3E")!important;
    background-repeat: no-repeat;
    background-position: right 10px center; /* يضع العلامة في اليسار */
    background-size: 20px;
    font-weight:bold;
    padding-right: 35px !important; /* مساحة لعدم تداخل النص مع العلامة */
    background-color: #f8fff9; /* تغيير خفيف للخلفية */
}